Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/32272/?format=api
{ "ob_id": 32272, "uuid": "8dff6e1d989643df977bf0c6766adb60", "title": "NERC-ARF 2019_168 - HyTES19 Flight: Airborne remote sensing measurements", "abstract": "Airborne remote sensing measurements collected on 17 June 2019 onboard the Natural Environment Research Council Airborne Research Facility (NERC-ARF) Dornier Do228-101 D-CALM Aircraft for the NET-Sense - joint NASA ESA Temperature Sensing Experiment (HyTES19) project (flight reference: 2019_168). This dataset comprises: hyperspectral data collected using a Specim Aisa FENIX imager.\r\n\r\nData were collected over the Grosseto, Italy area.", "keywords": "HyTES19, HyTES19, aircraft, hyperspectral, remote sensing", "publicationState": "preview", "dataPublishedTime": null, "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/32273/?format=api", "dataPath": "/neodc/arsf/2019/HyTES19/HyTES19-2019_168_Grosseto", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 116699790969, "numberOfFiles": 110, "fileFormat": "Hyperspectral data are ENVI binary, LiDAR data are LAS and aerial photography are TIF formats" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8854/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/2742/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were collected and processed by the NERC-ARF facility and deposited at the Centre for Environmental Data Analysis (CEDA) for archiving.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/32270/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143652/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143653/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143654/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143655/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143656/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143657/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143658/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/143665/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/32274/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2522/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "registered", "accessRoles": null, "label": "registered: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [] }